# mongoc_cursor_error()

## Synopsis

    bool
    mongoc_cursor_error (mongoc_cursor_t *cursor, bson_error_t *error);

## Parameters

- `cursor`: A mongoc_cursor_t.

- `error`: An optional location for a bson_error_t or `NULL`.

## Description

This function checks to see if an error has occurred while iterating the cursor.

## Errors

Errors are propagated via the `error` parameter.

## Returns

false if no error has occurred, otherwise true and error is set.

See also

mongoc_cursor_error()
mongoc_cursor_error_document()